package se.peterbjorkman.android.trafikinfo;

import android.graphics.drawable.Drawable;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.OverlayItem;

public class SituationOverlayItem extends OverlayItem {

    private final int mId;
    public SituationOverlayItem(int id, Double longitude, Double latitude, Drawable drawable) {
        super(new GeoPoint((int)(latitude * 1000000), (int)(longitude * 1000000)), "", "");
        mId = id;
        SituationMapOverlay.boundCenter(drawable);
        setMarker(drawable);
    }

    public int getId(){
        return mId;
    }
}
